Commits

Uelsk8s committed 419634a

added gtk-pkgs a SB to build all gtk pkgs

Comments (0)

Files changed (1)

var/vabs/gtk-pkgs/src/gtk-pkgs.SlackBuild

+#!/bin/bash
+
+# ----------------------
+BUILDNUM=${BUILDNUM:-"1"}
+VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
+BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
+ARCH=$(uname -m)
+LINK=${LINK:-""} #Enter URL for package here!
+# ----------------------
+
+if [ "$NORUN" != 1 ]; then
+
+eecho()
+{
+   echo "-------------------------------------"
+   echo " * " "$@"
+   echo "-------------------------------------"
+}
+
+#set -e
+CURDIR=$(pwd)
+TMP="/tmp"
+cd ../
+PKG=$(pwd)
+cd $CURDIR
+#GET THE SOURCE
+#--------------------------------------------
+for SRC in $(echo $LINK);do
+  if [ ! -f $(basename $SRC) ];then
+    wget -c $SRC
+  fi
+done
+#--------------------------------------------
+
+##Starting gtk builds
+cd $CURDIR
+for i in \ 
+gtk+ \
+gtk+2 \
+gtk+3 \
+clutter-gtk \
+efax-gtk \
+gtk-chtheme \
+gtk-doc \
+gtk-engines \
+gtk-murrine-engine \
+gtk-screenshot \
+gtk-sharp \
+gtk-theme-switch \
+gtk-vnc \
+gtk-xfce-engine \
+gtk2-perl \
+gtkam \
+gtkballs \
+gtkdatabox \
+gtkdialog \
+gtkglext \
+gtkhtml \
+gtkimageview \
+gtklife \
+gtkmathview \
+gtkmm \
+gtkmmorse \
+gtknetcat \
+gtkperf \
+gtkpod \
+gtksourceview \
+gtksourceview2-sharp \
+gtksourceviewmm \
+gtkspell \
+libexif-gtk \
+libgtkhtml \
+mp3splt-gtk \
+perl-gtk2 \
+perl-gtk2-ex-podviewer \
+perl-gtk2-ex-simple-list \
+perl-gtk2-imageview \
+pygtk \
+pygtksourceview2 \
+pywebkitgtk \
+rep-gtk \
+teagtk \
+webkitgtk \
+webkitgtk3
+	do
+	cp -ax /home/slackbuilds/var/vabs/$i /tmp/builds/
+	cd /tmp/builds/$i/src/
+	sh $i.SlackBuild
+	installpkg ../$i*txz
+done
+
+fi